## template:jinja
{%- if server %}
server = "{{server}}"
capabilities = ["pull", "resolve"]
{% if ca %}
ca = "/etc/containers/certs.d/{{shortname}}/ca.crt"
{% endif -%}
{% if client_key %}
client = [[ "/etc/containers/certs.d/{{shortname}}/client.cert", "/etc/containers/certs.d/{{shortname}}/client.key"]]
{% endif -%}
{% if insecure %}
skip_verify = true
{% endif -%}
{% endif -%}
{% for mirror in mirrors %}
[host."{{mirror.url}}"]
  capabilities = ["pull", "resolve"]
{% if mirror.insecure %}
  skip_verify = true
{% endif %}
{% if mirror.override_path %}
  override_path = true
{% endif %}
{% if mirror.ca %}
  ca = "/etc/containers/certs.d/{{mirror.shortname}}/ca.crt"
{% endif %}
{% if mirror.client_key %}
  client = [[ "/etc/containers/certs.d/{{mirror.shortname}}/client.cert", "/etc/containers/certs.d/{{mirror.shortname}}/client.key"]]
{% endif %}

{% endfor %}
